Post by shedloads » Thu May 12, 2022 3:00 pm

Version: 3.0,3,8. Im using the xampp system (localhost). I get this message on the storefront : Unknown: mysqli::real_escape_string(): Passing null to parameter #1 ($string) of type string is deprecated in C:\xampp\htdocs\Terisstuff\system\library\db\mysqli.php on line 53. I dont know if its got anything to do with the problem, which is, the banners wont change in size. It displays the image and there is a huge space below before the next banner is displayed. Ive been into the modules section, and the 'Banners' and 'Layouts' and nothing works. Ive tried it with various sizes of images. What am I doing wrong? :(

Newbie

Posts

Joined
Wed Dec 03, 2014 3:10 am

Post by OSWorX » Thu May 12, 2022 5:13 pm

shedloads wrote:
Thu May 12, 2022 3:00 pm
Version: 3.0,3,8. Im using the xampp system (localhost). I get this message on the storefront : Unknown: mysqli::real_escape_string(): Passing null to parameter #1 ($string) of type string is deprecated in C:\xampp\htdocs\Terisstuff\system\library\db\mysqli.php on line 53.
...
What am I doing wrong? :(
Primary: nothing (doing wrong).
But as it seems, you are using php > 8.x which is not supported yet by 3.0.3.8

btw: next time read please before the forum rules.
Providing all required infos will help you to get a proper answer (and help us not wasting time in useless back questions and/or assumptions).

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by shedloads » Thu May 12, 2022 5:43 pm

Well, thanks, I thought I had read them! Perhaps I missed something. I now know whats wrong, but what next? Should i go to another version of Opencart, or change the PHP? I was good at all this many years ago, forgotten loads!
Thanks again.

Newbie

Posts

Joined
Wed Dec 03, 2014 3:10 am

Post by ADD Creative » Thu May 12, 2022 6:04 pm

Use PHP 7.4 or look at the 3.0.x.x_Maintenance branch on GitHub which has had a lot of PHP compatibility fixes lately.
https://github.com/opencart/opencart/tr ... aintenance
https://github.com/opencart/opencart/co ... aintenance

www.add-creative.co.uk


Expert Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by OSWorX » Thu May 12, 2022 6:06 pm

shedloads wrote:
Thu May 12, 2022 5:43 pm
Should i go to another version of Opencart, or change the PHP?
No, the OpenCart version is quite fine (if you can live with the bugs ..).
Just switch to php 7.3.x or 7.4.x
Or follow the tipp and check the current maintenance branch at GH

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by shedloads » Fri May 13, 2022 10:56 pm

Just switch to php 7.3.x or 7.4.x. Thanks. I thought it would be easy. Six hours later, Im further behind! Opencart is for small businesses, not computer programmers. :)

Newbie

Posts

Joined
Wed Dec 03, 2014 3:10 am

Post by IP_CAM » Sat May 14, 2022 12:06 am

you could try this one, it's supposed to work up to the latest PHP v.8.1:
https://github.com/condor2/Opencart_30xx_PHP_8.1

My Github OC Site: https://github.com/IP-CAM
4'850 + FREE OC Extensions, on the World's largest Github OC Repository Archive Site.
My Demo Sites: http://www.bigmax.ch/shop --- http://www.opencart.li/shop/


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by shedloads » Sat May 14, 2022 3:48 pm

Joy, happy, Ive just managed to install your version, and (so far) its worked like a dream! All is forgiven, Opencart is great!

Thanks to one and all. !!!!!

Newbie

Posts

Joined
Wed Dec 03, 2014 3:10 am

Post by shedloads » Sat May 14, 2022 3:49 pm

Particularly to yourself of coursse!

Newbie

Posts

Joined
Wed Dec 03, 2014 3:10 am
Who is online

Users browsing this forum: No registered users and 12 guests